## python-ttystatus 0.23

=== Makefile ===
all:
	$(MAKE) -C doc html

check:
	python -m CoverageTestRunner --ignore-missing-from=without-tests
	rm .coverage
	
clean:
	rm -f .coverage ttystatus/*.py[co]
	rm -rf build
	$(MAKE) -C doc clean

## python-ttystatus 0.15

=== debian/changelog ===
python-ttystatus (0.15-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 17 Sep 2011 19:58:35 +0100

python-ttystatus (0.14-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 31 Aug 2011 18:59:10 +0100

python-ttystatus (0.13-1) unstable; urgency=low

  * New upstream release.
  * First upload to Debian. (Closes: #636443)
  * Debian packaging changed to be a non-native package.
  * debian/rules and debian/control changed to use dh_python2.
  * debian/copyright converted to use DEP5.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 03 Aug 2011 08:09:57 +0100

python-ttystatus (0.12) squeeze; urgency=low

  * New upstream release.
  * debian/control: Add build dependency on python-sphinx.
  * debian/pycompat: Useless, so removed.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 24 Jul 2011 10:52:05 +0100

python-ttystatus (0.11) squeeze; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 23 Apr 2011 18:53:27 +0100

python-ttystatus (0.10) squeeze; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 23 Mar 2011 21:05:27 +0000

python-ttystatus (0.9) squeeze; urgency=low

  * New upstream release.
    - add ttystatus.Integer

 -- Lars Wirzenius <liw@liw.fi>  Sun, 13 Feb 2011 09:17:36 +0000

python-ttystatus (0.8.1) squeeze; urgency=low

  * New upstream release.
    - don't write notifications is output is disabled

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Jan 2011 19:58:22 +0000

python-ttystatus (0.8) squeeze; urgency=low

  * New upstream release.
    - write to /dev/tty by default

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Jan 2011 19:23:28 +0000

python-ttystatus (0.7) squeeze; urgency=low

  * New upstream version. Bugfix. 

 -- Lars Wirzenius <liw@liw.fi>  Sat, 09 Oct 2010 20:56:25 +0100

python-ttystatus (0.6) squeeze; urgency=low

  * New release.
    - add ByteSpeed widget.
  * debian/control: Add build-dependency on python-coverage-test-runner.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 13 Jul 2010 07:51:43 +1200

python-ttystatus (0.5) squeeze; urgency=low

  * New release.
  * debian/control: Add Python-Version headers.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 07 Jul 2010 09:41:27 +1200

python-ttystatus (0.4) squeeze; urgency=low

  * New release. 
    - Bugfix: when the output won't fit, and the last widget is a `Pathname`,
      the last character is no longer chopped off.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 05 Jul 2010 16:47:23 +1200

python-ttystatus (0.3) squeeze; urgency=low

  * New release.
  * Fix bug in ttystatus.Pathname widget: if value is not set in master,
    but update is called, do not crash.
  * Fix handling of bad values for fields. 

 -- Lars Wirzenius <liw@liw.fi>  Thu, 01 Jul 2010 09:09:07 +1200

python-ttystatus (0.2) squeeze; urgency=low

  * New release. 
  * Many new widgets.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 14 Jun 2010 14:56:26 +1200

python-ttystatus (0.1) squeeze; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 11:10:24 +1200

=== debian/control ===
Source: python-ttystatus
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: python
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.8), python (>= 2.6.6-3~), 
    python-coverage-test-runner, python-sphinx
X-Python-Version: >= 2.6
	
Package: python-ttystatus
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.6)
Homepage: http://liw.fi/ttystatus/
Description: terminal progress bar and status output for Python
 The ttystatus Python library provides a simple widget-based way to show
 progress and current status in command line programs.

## python-ttystatus 0.19

=== debian/changelog ===
python-ttystatus (0.19-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Dominic Hargreaves <dom@earth.li>  Fri, 02 Nov 2012 23:19:07 +0000

python-ttystatus (0.19-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 30 Jun 2012 16:51:34 +0100

python-ttystatus (0.18-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 08 May 2012 23:15:55 +0100

python-ttystatus (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 15 Apr 2012 19:39:31 +0100

python-ttystatus (0.16-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Bumped Standards-Version. No other changes needed.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 08 Apr 2012 09:49:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-ttystatus
 Maintainer: Lars Wirzenius <liw@liw.fi>
+Uploaders: Dominic Hargreaves <dom@earth.li>
 Section: python
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.3.8), python (>= 2.6.6-3~), 
     python-coverage-test-runner, python-sphinx
 X-Python-Version: >= 2.6

## python-ttystatus 0.23

=== debian/changelog ===
python-ttystatus (0.23-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 19 Jun 2013 21:26:14 +0100

python-ttystatus (0.22-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 12 Mar 2013 20:38:25 +0000

python-ttystatus (0.21-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 29 Sep 2012 09:25:42 +0100

python-ttystatus (0.20-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 18 Sep 2012 20:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-ttystatus
 Maintainer: Lars Wirzenius <liw@liw.fi>
-Uploaders: Dominic Hargreaves <dom@earth.li>
 Section: python
 Priority: optional
 Standards-Version: 3.9.3

## python-ttystatus 0.32

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ttystatus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ttystatus.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-ttystatus (0.32-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 09 Jan 2016 11:55:02 +0200

python-ttystatus (0.31-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 09 Jan 2016 11:42:55 +0200

python-ttystatus (0.30-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 17 Oct 2015 19:04:52 +0300

python-ttystatus (0.29-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Oct 2015 19:08:24 +0300

python-ttystatus (0.28-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 10 Oct 2015 16:18:36 +0300

python-ttystatus (0.27-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 10 Oct 2015 12:04:59 +0300

python-ttystatus (0.26-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 06 Oct 2015 12:29:11 +0300

python-ttystatus (0.25-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 05 Oct 2015 22:37:01 +0300

python-ttystatus (0.24.1-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 01 Oct 2015 19:23:22 +0300

python-ttystatus (0.24-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Make long description longer, more useful.
  * debian/control: Move Homepage: to source stanza.
  * debian/control: Update Standards-Version to 3.9.5. No further
    changes required.
  * Add build-dependency on pep8 and pylint.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 30 Sep 2015 10:14:35 +0300

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2 --with-buildsystem=python_distutils

override_dh_auto_install:
	python setup.py install --prefix=debian/python-ttystatus/usr \
        --install-layout=deb

## python-ttystatus 0.34

=== Makefile ===
all:
	$(MAKE) -C doc html

check:
	python -m CoverageTestRunner --ignore-missing-from=without-tests
	rm -f .coverage
	pep8 ttystatus
	if command -v pylint && pylint --version | grep '^pylint [1-9]'; \
        then \
		PYTHONPATH=. pylint --rcfile=pylint.conf ttystatus; \
        fi

clean:
	rm -f .coverage ttystatus/*.py[co]
	rm -rf build
	$(MAKE) -C doc clean

=== debian/changelog ===
python-ttystatus (0.34-1) unstable; urgency=medium

  * New upstream version.
    - Fixes FTBFS (Closes: #844235)
  * debian/control: Require Python 2.7.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 26 Dec 2016 10:39:34 +0200

=== debian/control ===
Source: python-ttystatus
Maintainer: Lars Wirzenius <liw@liw.fi>
Homepage: http://liw.fi/ttystatus/
Section: python
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), python (>= 2.7~), 
    python-coverage-test-runner, python-sphinx, pep8, pylint
X-Python-Version: >= 2.7
	
Package: python-ttystatus
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.7)
Description: terminal progress bar and status output for Python
 ttystatus is a Python library for showing progress reporting and status
 updates on terminals, for (Unix) command line programs. Output is 
 automatically adapted to the width of the terminal: truncated if it does
 not fit, and re-sized if the terminal size changes.
 .
 Output is provided via widgets. Each widgets formats some data into
 a suitable form for output. It gets the data either via its initializer,
 or from key/value pairs maintained by the master object. The values are
 set by the user. Every time a value is updated, widgets get updated
 (although the terminal is only updated every so often to give user time
 to actually read the output).
 .
 The output from ttystatus goes to the terminal (`/dev/tty`) and is
 restricted to a single line.

## python-ttystatus 0.38

=== debian/changelog ===
python-ttystatus (0.38-5) unstable; urgency=medium

  * QA Upload
  * Add build-dep on python3-setuptools (Closes: #1100290)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Mar 2025 22:55:23 +0100

python-ttystatus (0.38-4) unstable; urgency=medium

  * QA upload.
  * Switch to pylint from pylint3
  * Bump std-version to 4.1.1 and compat level to 12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2019 15:21:00 +0100

python-ttystatus (0.38-3) unstable; urgency=medium

  * QA upload.
  * Drop Python 2 support (Closes: #938230).
  * Add dh-python to B-D.
  * d/copyright: Change Format URL to correct one.
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Remove trailing whitespaces.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Wed, 27 Nov 2019 11:36:59 +0100

python-ttystatus (0.38-2) unstable; urgency=medium

  * Orphan package. I'm retiring.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 18 Nov 2018 18:27:45 +0200

python-ttystatus (0.38-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 04 Dec 2017 18:27:18 +0200

python-ttystatus (0.37-1) unstable; urgency=medium

  * New upstream version.
  * Fix debian/rules.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 11 Nov 2017 10:30:11 +0100

python-ttystatus (0.36-1) unstable; urgency=medium

  * New upstream version.
  * Added Python3 support, and a python3-ttystatus package.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 10 Nov 2017 23:03:52 +0100

python-ttystatus (0.35-1) unstable; urgency=medium

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 03 Jun 2017 22:42:27 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,31 @@
 Source: python-ttystatus
-Maintainer: Lars Wirzenius <liw@liw.fi>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://liw.fi/ttystatus/
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), python (>= 2.7~), 
-    python-coverage-test-runner, python-sphinx, pep8, pylint
-X-Python-Version: >= 2.7
-	
-Package: python-ttystatus
+Standards-Version: 4.1.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pycodestyle,
+ pylint,
+ python3-all,
+ python3-coverage-test-runner,
+ python3-setuptools,
+Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ttystatus
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-ttystatus.git
+X-Style: black
+
+Package: python3-ttystatus
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.7)
+Depends:
+ python3,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: terminal progress bar and status output for Python
  ttystatus is a Python library for showing progress reporting and status
- updates on terminals, for (Unix) command line programs. Output is 
+ updates on terminals, for (Unix) command line programs. Output is
  automatically adapted to the width of the terminal: truncated if it does
  not fit, and re-sized if the terminal size changes.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ttystatus

%:
	dh $@ --buildsystem=pybuild
